
From: Andreas Gruenbacher <agruen@suse.de>

Add the missing NFS3ERR_NOTSUPP error code (defined in NFSv3) to the
system-to-protocol-error table in nfsd.  The nfsacl extension uses this error
code.

Signed-off-by: Andreas Gruenbacher <agruen@suse.de>
Signed-off-by: Olaf Kirch <okir@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfsproc.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/nfsd/nfsproc.c~nfsacl-add-missing-eopnotsupp-=-nfs3err_notsupp-mapping-in-nfsd fs/nfsd/nfsproc.c
--- 25/fs/nfsd/nfsproc.c~nfsacl-add-missing-eopnotsupp-=-nfs3err_notsupp-mapping-in-nfsd	2005-02-28 16:17:46.000000000 -0800
+++ 25-akpm/fs/nfsd/nfsproc.c	2005-02-28 16:17:46.000000000 -0800
@@ -590,6 +590,7 @@ nfserrno (int errno)
 		{ nfserr_dropit, -EAGAIN },
 		{ nfserr_dropit, -ENOMEM },
 		{ nfserr_badname, -ESRCH },
+		{ nfserr_notsupp, -EOPNOTSUPP },
 		{ -1, -EIO }
 	};
 	int	i;
_
